import cv2
import matplotlib.pyplot as plt
import numpy as np
from PIL import Image


# 读取图像
img_path = r"F:\DevTools\datasets\renyaun\1012\images\2024-09-23-10-00-44_SaveImage.png"


img = cv2.imread(img_path, cv2.IMREAD_GRAYSCALE)  # 读取为灰度图
# 检查图片是否成功读取
if img is None:
    print("Error: Could not read image.")
else:
    # 直方图均衡化
    img_eq = cv2.equalizeHist(img)

    # 自适应直方图均衡化
    clahe = cv2.createCLAHE(clipLimit=2.0, tileGridSize=(8, 8))
    img_clahe = clahe.apply(img)

    # 将灰度图转换为热力图
    heatmap = cv2.applyColorMap(img_eq, cv2.COLORMAP_HOT)

    # 使用OpenCV显示热力图
    # cv2.imshow('Heatmap', heatmap)
    # cv2.waitKey(0)  # 等待按键
    # cv2.destroyAllWindows()

    # 使用Matplotlib显示热力图（可选）
    plt.imshow(cv2.cvtColor(heatmap, cv2.COLOR_BGR2RGB))
    plt.colorbar()
    plt.title('Heatmap of the Image')
    plt.show()